/* 
 * Copyright (c) 2010, Andrew Clark
 * 
 * Licensed under the Creative Commons License, Attribution 3,0
 * You may obtain a copy of the license at
 *      http://creativecommons.org/licenses/by/3.0/us/
 */

package edu.calpoly.android;

import java.util.Date;
import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.widget.TextView;

public class Time extends Activity {
    private TextView m_vwTime;
    private UpdateTimeTask m_updateTime;
    private Handler m_handler;
    
    /** The delay in milliseconds between updates. */
    private final int DELAY = 100;
    
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        m_vwTime = (TextView) findViewById(R.id.timeView);
        m_updateTime = new UpdateTimeTask();
        
        m_handler = new Handler();
        m_handler.post(m_updateTime);
    }
    
    /**
     * Updates the time displayed in the TextView to the current time and
     * schedules another update after a delay.
     */
    private class UpdateTimeTask implements Runnable {
        public void run() {
            Date date = new Date(System.currentTimeMillis());
            m_vwTime.setText(date.toLocaleString());
            
            m_handler.postDelayed(m_updateTime, DELAY);
        }
    }
}